Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.

Bug 2607

Summary: G200 DGA Bugfix
Product: [Retired] Red Hat Linux Reporter: crichton
Component: XFree86Assignee: David Lawrence <dkl>
Status: CLOSED ERRATA QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: 6.0   
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 1999-06-03 18:33:33 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Description crichton 1999-05-06 19:39:39 UTC
From the video4linux mailing list, here's a bugfix that will
fix a problem with DGA and the G200 (and possibily other
newer Matrox cards)

DGA doesn't return the correct FB address, so things that
need direct FB access (like xawtv) have terrible
workarounds/kernel hacks/whatnot to get around this X bug.

This patch correctly fixes X, and doesn't affect recent
XawTV versions

------- Email Received From  crichton@hawk-a-015.resnet.purdue.edu 05/06/99 15:45 -------

Comment 1 Jeff Johnson 1999-06-03 18:33:59 UTC
Fixed (by applying patch) in XFree86-3.3.3.1-50. Thanks for the
report.